Get Users
/unified/user-directory/users/{id}
Partial response — use the "get" endpoint for the full object.
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
2 supported2 notes
Whether to include the last login date and time for each user. Requires Premium P1 or P2 license.
Set this value when product is azure_active_directory. Whether to include the last login date and time for each user. Requires Premium P1 or P2 license.
The unique identifier of an organization
6 supported5 required
10 supported7 required2 notes
The unique identifier for the workspace
The unique identifier for the workspace. Required when product is teams.
The unique identifier for the group
3 supported2 required
azure_active_directoryonedriveteamsworkspace
2 supported2 required2 notes
workspaceSelect the product for which you want to retrieve the user.
teamsonedriveazure_active_directorySelect the product for which you want to retrieve the users.
The type of user
adminend_userservice-accountuser
38 supported2 required
userservice-accountadminend_userShow Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The unique identifier for a user
277 supported
The date and time the user was activated
14 supported
The avatar of the user
98 supported
The bio of the user. Usually a short description set by the user about them.
17 supported
The date and time the user was created
182 supported
The emails of the user
269 supported
The email address
Whether the email address is primary
The type of email address
The external identifier for a user. This is set when the SCIM API is being used.
29 supported
The first name of the user
170 supported
The groups of the user
83 supported
The unique identifier for a group
The name of the group
The unique identifier of the organization to which the group belongs
The identifiers of the user.
10 supported
Whether the user has 2FA enabled
32 supported
Whether the user's email has been verified
23 supported
The languages preferred by the user
72 supported
The date and time the user was last active
30 supported
The date and time the user was last logged in
65 supported
The last name of the user
170 supported
The licenses of the user or the products the user has access to
60 supported
The unique identifier for a license
The date and time the user was last active for the license
The name of the license
The unique identifier of the organization to which the license belongs
The name of the user
261 supported
The organizations of the user
27 supported
The unique identifier for an organization
The name of the organization
The phones of the user
102 supported
The extension of the phone number
The phone number
The type of phone number
Raw data returned from the remote API call.
The roles of the user
204 supported
The role of the user in the group. This is available when the user can have different roles in different groups or teams in an application.
The unique identifier for a role
The name of the role
The role of the user in the organization. This is available when the user can have different roles in different organizations in an application.
The role of the user in the workspace. This is available when the user can have different roles in different workspaces in an application.
The status of the user. If no clear mapping is available, then the raw value is returned.
activeinactivedeletedinvited
209 supported
The date and time the user's status was last changed
4 supported
The timezone of the user
81 supported
The title of the user
60 supported
The date and time the user was last updated
127 supported
The URLs of the user
19 supported
The type of URL
The URL
The type of user
38 supported
The username of the user
115 supported
The workspaces of the user
11 supported
The unique identifier for a workspace
The name of the workspaces
curl -X GET 'https://api.truto.one/unified/user-directory/users/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/user-directory/users/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/user-directory/users/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'user-directory',
'users',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"user-directory",
"users",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())